Bug 486573 - Make buglist column selection a user preference
Make buglist column selection a user preference
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
devel
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 07:10 EST by Nicolas Mailhot
Modified: 2013-06-23 22:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 01:24:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2009-02-20 07:10:13 EST
Since the default column selection in RH/Fedora bugzilla bug lists is less than ideal, and different users would probably prefer different columns anyway, please make column selection a user preference which is used in all queries of a logged-in used
Comment 1 David Lawrence 2009-02-23 14:08:40 EST
This is already possible. When you are looking at a query result list in buglist.cgi, the bottom of the page has a link called "Change Columns". There you can change your default column list to whatever columns you want displayed. Each time you do a new query it will reuse the column list. You can even have different column lists per save search that you have recorded.

Dave
Comment 2 Nicolas Mailhot 2009-02-23 14:32:21 EST
But it is not persistent

So you get to re-configure bugzilla every time you log in

Which gets quickly annoying

And yes the people who use stored queries do not see it but that's not the only way to use bugzilla. People click on bugzilla links and other stuff that lead them to lists that do not have any useful column sorting unless they reconfigured bugzilla when launching their browser
Comment 3 David Lawrence 2009-02-23 14:59:42 EST
It should be storing your "global" column list in a cookie called "COLUMNLIST" that is set to never expire. So you should not have to reset your default columns every time you login as long as that cookie still exists. The columns lists for specific saved searches though are stored in the database and override what your COLUMNLIST cookie is set to but that cookie should always be used as a fallback.

Dave
Comment 4 Nicolas Mailhot 2009-02-23 15:08:05 EST
Well, a cookie does not really help when you log in from different systems. And many people just restrict cookies to the session nowadays for security reasons

Can't it be stored server-side like the other preferences?
Comment 5 Jeff Fearn 2012-05-30 00:42:04 EDT
As part of the recent Bugzilla 4.2 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 6 Jeff Fearn 2012-05-30 00:43:29 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 7 Jeff Fearn 2012-07-19 01:24:03 EDT
As noted previously, the Bugzilla Team is cleaning up a large number of outstanding issues that have bit rotted. This bug is being closed as there has been no response to that notification.

If you believe this bug is still important please reopen this bug in the NEW status and PM will consider it.

Note You need to log in before you can comment on or make changes to this bug.